/**
 * output package name
 */
package com.kingdee.eas.custom.log.app;

import java.util.Map;
import java.util.List;
import java.util.Iterator;
import com.kingdee.util.enums.StringEnum;

/**
 * output class name
 */
public class SyncEntityNameEnum extends StringEnum
{
    public static final String ADMINORG_VALUE = "1";//alias=部门
    public static final String POSTITON_VALUE = "2";//alias=岗位
    public static final String PERSON_VALUE = "3";//alias=人员
    public static final String CARDRECORD_VALUE = "4";//alias=打卡记录

    public static final SyncEntityNameEnum adminOrg = new SyncEntityNameEnum("adminOrg", ADMINORG_VALUE);
    public static final SyncEntityNameEnum postiton = new SyncEntityNameEnum("postiton", POSTITON_VALUE);
    public static final SyncEntityNameEnum person = new SyncEntityNameEnum("person", PERSON_VALUE);
    public static final SyncEntityNameEnum cardRecord = new SyncEntityNameEnum("cardRecord", CARDRECORD_VALUE);

    /**
     * construct function
     * @param String syncEntityNameEnum
     */
    private SyncEntityNameEnum(String name, String syncEntityNameEnum)
    {
        super(name, syncEntityNameEnum);
    }
    
    /**
     * getEnum function
     * @param String arguments
     */
    public static SyncEntityNameEnum getEnum(String syncEntityNameEnum)
    {
        return (SyncEntityNameEnum)getEnum(SyncEntityNameEnum.class, syncEntityNameEnum);
    }

    /**
     * getEnumMap function
     */
    public static Map getEnumMap()
    {
        return getEnumMap(SyncEntityNameEnum.class);
    }

    /**
     * getEnumList function
     */
    public static List getEnumList()
    {
         return getEnumList(SyncEntityNameEnum.class);
    }
    
    /**
     * getIterator function
     */
    public static Iterator iterator()
    {
         return iterator(SyncEntityNameEnum.class);
    }
}